Loading...
Searching...
No Matches
Magick::chromaRedPrimaryImage Class Reference

## Public Member Functions

| chromaRedPrimaryImage (const double x_, const double y_, const double z_)
void | operator() (Image &image_) const

## Private Attributes

double | _x
double | _y
double | _z

## Detailed Description

Definition at line 1350 of file STL.h.

## Constructor & Destructor Documentation

## chromaRedPrimaryImage()

Magick::chromaRedPrimaryImage::chromaRedPrimaryImage | ( | const double | x_,
|  | const double | y_,
|  | const double | z_
| ) |  |

Definition at line 1249 of file STL.cpp.

: _x(x_),
_y(y_),
_z(z_)
{
}

## Member Function Documentation

## operator()()

void Magick::chromaRedPrimaryImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1257 of file STL.cpp.

{
image_.chromaRedPrimary(_x,_y,_z);
}

## Field Documentation

## _x

double Magick::chromaRedPrimaryImage::_x

private

Definition at line 1358 of file STL.h.

## _y

double Magick::chromaRedPrimaryImage::_y

private

Definition at line 1359 of file STL.h.

## _z

double Magick::chromaRedPrimaryImage::_z

private

Definition at line 1360 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp